<template>
    <div v-if="fromCosmosToEth" id="swap-direction" class="p-grid p-nogutter">
      <CosmosLogo/>
      <div class="p-col p-px-3">
        <i id="swap-arrow" class="pi pi-arrow-right" style="fontSize: 2rem"/>
      </div> 
      <EthereumLogo/>
    </div>
    <div v-if="!fromCosmosToEth" id="swap-direction" class="p-grid p-nogutter">
      <EthereumLogo/>
      <div class="p-col p-px-3">
        <i id="swap-arrow" class="pi pi-arrow-right" style="fontSize: 2rem"/>
      </div> 
      <CosmosLogo/> 
    </div>
</template>

// <ToggleButton id="swap-arrow" v-model="checked" v-on:click="changeSwapDirection()" onIcon="pi pi-arrow-left" offIcon="pi pi-arrow-right" />

<script>
import CosmosLogo from './chains-logo/Cosmos.vue'
import EthereumLogo from './chains-logo/Ethereum.vue'

export default {
  name: 'SwapDirection',
  components:{
    CosmosLogo,
    EthereumLogo
  },
  computed:{
    fromCosmosToEth(){
      return this.$store.state.fromCosmosToEth
    }
  }
}
</script>

<style scoped>

  #swap-direction{
    position: absolute;
    top: 20px;
    left: 25%;
    right: 25%;
    align-items: center;
  }

</style>